Bug 324101 - incompatible plugin
incompatible plugin
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: claws-mail-plugins (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-08 20:49 EDT by yonas abraham
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: claws-mail-plugins-3.0.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 02:07:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description yonas abraham 2007-10-08 20:49:46 EDT
Description of problem:
Your version of Claws Mail is newer than the version the 'Notification' plugin
was built with.

Version-Release number of selected component (if applicable):
claws-mail-3.0.2-1.fc8
claws-mail-plugins-notification-3.0.0-2.fc8

How reproducible:
always

Steps to Reproduce:
1.install claws-mail-3.0.2-1.fc8
2.install claws-mail-plugins-notification-3.0.0-2.fc8
3.start claws-mail and go to configurations-->Plugins-->Load plugin
4.select notification_plugin.so

  
Actual results:
error window will popup with"Your version of Claws Mail is newer than the
version the 'Notification' plugin was built with." message

Expected results:
load the plugin

Additional info:
If the plugin is older, there should be a flag on the plugin spec file for yum
not to install incompatible rpms.
Comment 1 Andreas Bierfert 2007-10-09 02:07:18 EDT
Please install the current version of the plugins which is:
claws-mail-plugins-3.0.1-1.fc8.

Should be in todays rawhide tree.
Comment 2 yonas abraham 2007-10-09 09:20:41 EDT
Thanks!.


The main reason I filed the bug is, so that for the future the plugins shouldn't
install if they are incompatible. You should add some requirement for
compatibility. 


Thanks again
Comment 3 Andreas Bierfert 2007-10-09 14:30:51 EDT
Well there is a problem with adding a requirement: 
For the stable releases I usually build claws-mail afterwards claws-mail-plugins
and then push it as one upgrade so there should be no problems with
incompatibilities.

For devel this is a bit different as I can only build the plugins after building
claws-mail and as I sometimes push builds with a bit of a time delay it might
happen that the main program gets pushed before the plugins.

Adding a requirement that would prevent this is a bit problematic if not
infeasible and would cause numerous rebuilds just to satisfy requirements (w/o
actual code changes). As we are only talking about rawhide problems I will try
to keep these problems at a minimum.

Note You need to log in before you can comment on or make changes to this bug.